<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <input id="dinero" autofocus/>
    <button id="boton">Convertir</button>
    1$ equivale a <input id="cambio">
    <div id="conversion"></div>
    <script>
        function convertir(a, b){
           let resultado = a* b;
           return resultado;
        }
        function iniciar_conversion(){
            cambio = document.getElementById("cambio").value;
            dinero=document.getElementById("dinero").value;
            dinero= (dinero > 0) ? dinero:1;
            recibo=convertir(dinero, cambio);
            document.getElementById("conversion").innerHTML += `${dinero} son ${recibo} en yenes <br>`;
        }
        window.onload=inicio;
        function inicio(){
            document.getElementById("dinero").onkeydown=teclado;
            dinero=document.getElementById("cambio").value = cambio;
            var bot=document.getElementById("boton");
            bot.onclick=iniciar_conversion;
        }
        function teclado(e){
            let codigo = e.keyCode;
            if(codigo == 13){
                iniciar_conversion();
            }
        }
        cambio=125;
      


    </script>
</body>
</html>